Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoVideoMsg Class Reference
Data Channel

## Description

Represents a data message containing a video image.

Inheritance diagram for GoVideoMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
kSize | GoVideoMsg_CameraIndex (GoVideoMsg msg)
| Gets the camera index that the video data originates from. More...
kCfa | GoVideoMsg_Cfa (GoVideoMsg msg)
| Gets the image color filter array. More...
k32u | GoVideoMsg_Exposure (GoVideoMsg msg)
| Gets the exposure. More...
kSize | GoVideoMsg_ExposureIndex (GoVideoMsg msg)
| Gets the exposure index. More...
kSize | GoVideoMsg_Height (GoVideoMsg msg)
| Gets the image height, in pixels. More...
kPixelFormat | GoVideoMsg_PixelFormat (GoVideoMsg msg)
| Gets the pixel format descriptor. More...
kSize | GoVideoMsg_PixelSize (GoVideoMsg msg)
| Gets the image pixel size, in bytes. More...
GoPixelType | GoVideoMsg_PixelType (GoVideoMsg msg)
| Gets the data type used to represent an image pixel. More...
void * | GoVideoMsg_RowAt (GoVideoMsg msg, kSize rowIndex)
| Gets a pointer to a row within the image. More...
GoDataSource | GoVideoMsg_Source (GoVideoMsg msg)
| Gets the video source. More...
kSize | GoVideoMsg_Width (GoVideoMsg msg)
| Gets the image width, in pixels. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

kSize GoVideoMsg_CameraIndex | ( | GoVideoMsg | msg | ) |

Gets the camera index that the video data originates from.

Parameters

  msg | Message object.

Returns
  Camera index.

kCfa GoVideoMsg_Cfa | ( | GoVideoMsg | msg | ) |

Gets the image color filter array.

Parameters

  msg | Message object.

Returns
  Color filter array.

k32u GoVideoMsg_Exposure | ( | GoVideoMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

kSize GoVideoMsg_ExposureIndex | ( | GoVideoMsg | msg | ) |

Gets the exposure index.

Parameters

  msg | Message object.

Returns
  Exposure index.

kSize GoVideoMsg_Height | ( | GoVideoMsg | msg | ) |

Gets the image height, in pixels.

Parameters

  msg | Message object.

Returns
  Image height, in pixels.

kPixelFormat GoVideoMsg_PixelFormat | ( | GoVideoMsg | msg | ) |

Gets the pixel format descriptor.

Parameters

  msg | Message object.

Returns
  Pixel format.

kSize GoVideoMsg_PixelSize | ( | GoVideoMsg | msg | ) |

Gets the image pixel size, in bytes.

Parameters

  msg | Message object.

Returns
  Pixel size, in bytes.

GoPixelType GoVideoMsg_PixelType | ( | GoVideoMsg | msg | ) |

Gets the data type used to represent an image pixel.

Parameters

  msg | Message object.

Returns
  Pixel type.

void * GoVideoMsg_RowAt | ( | GoVideoMsg | msg,
|  | kSize | rowIndex
| ) |  |

Gets a pointer to a row within the image.

Parameters

  msg | Message object.
  rowIndex | Row index.

Returns
  Row pointer.

GoDataSource GoVideoMsg_Source | ( | GoVideoMsg | msg | ) |

Gets the video source.

Parameters

  msg | Message object.

Returns
  Video source.

kSize GoVideoMsg_Width | ( | GoVideoMsg | msg | ) |

Gets the image width, in pixels.

Parameters

  msg | Message object.

Returns
  Image width, in pixels.

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h